document.onreadystatechange = () => {
  if (document.readyState === "complete") {
    chrome.runtime.sendMessage(actions.getAllState, function (response) {
      const payload = response.payload;
      const currentColor = payload.currentColor;

      const fist = "#arm-fist-right,#arm-fist-left";
      const arms = "#arm-left,#arm-right";

      if (currentColor === "yellow") {
        gsap.set("#body_fill", {
          fill: "#FFD568",
        });

        gsap.set(fist, {
          fill: "#FFCD4D",
        });

        gsap.set(arms, {
          stroke: "#FFD568",
        });
      }

      if (currentColor === "blue") {
        gsap.set("#body_fill", {
          fill: "#68AEFF",
        });

        gsap.set(arms, {
          stroke: "#68AEFF",
        });

        gsap.set(fist, {
          fill: "#4F83FA",
        });
      }

      if (currentColor === "red") {
        gsap.set("#body_fill", {
          fill: "#F68989",
        });

        gsap.set(arms, {
          stroke: "#F68989",
        });

        gsap.set(fist, {
          fill: "#FF5E5E",
        });
      }
    });
  }
};
