const actions = {
  getAllState: {
    action: "getAllState",
    payload: { value: null }
  }
};

function percentage(partialValue, totalValue) {
  return ((100 * partialValue) / totalValue).toFixed(0);
}

chrome.runtime.sendMessage(actions.getAllState, function(response) {
  // init health bar
  const health = parseInt(response.payload.health);
  const healthPercent = percentage(health, 100);
  const healthProgressMeter = document.querySelector(".healthprogressBarMeter");
  healthProgressMeter.style.width = healthPercent + "%";
});
